#!/bin/sh

echo "Hola este 12 de mayp de 2025!"
echo "El sistema mínimo está inicializado"
echo "Ok!"

export LD_LIBRARY_PATH=/lib/x86_64-linux-gnu:/lib

mount -t proc /proc proc

# Para configurar el teclado en español
loadkmap < /etc/esbin.map

# Instalamos los módulos para usar la red
echo "Instalando modulos de red..."
cd lib/modules/5.10.0-0.deb10.16-amd64/

/sbin/insmod virtio.ko
/sbin/insmod virtio_ring.ko
/sbin/insmod failover.ko
/sbin/insmod net_failover.ko
/sbin/insmod virtio_net.ko
/sbin/insmod virtio_pci.ko

# Configuramos las tarjetas de red
ip link set lo up
ip link set eth0 up

# ip addr add 127.0.0.1 dev lo
ip addr add 10.0.2.10/24 dev eth0
# ip route add default via 192.168.10.1

